
QGIS Application - Bug report #18046

Adding new vertices ignores topological editing

2018-02-05 08:42 AM - Andreas Wicht

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25942

Description

Given two polygons which share a boundary and the user would like to insert a new node (clicking the '+' between two existing nodes), the

node is only inserted in one polygon and therefore breaks the topological relationship (producing a gap/overlap). 

Moving existing nodes works fine, as the same node is moved for both polygons. Same with deleting.

Master 1a117ct080 on Win 7 via osgeo4w installer

Snapping: on

Enable Topological Editing: on

Snapping on intersection: on

Avoid intersection: on

Tolerance 10px

Related issues:

Related to QGIS Application - Bug report # 18192: vertex editor doesn't honou... Closed 2018-02-23

Related to QGIS Application - Bug report # 17331: new node tool topological e... Closed 2017-10-25

Duplicated by QGIS Application - Bug report # 20137: Topological editing don'... Closed 2018-10-17

Associated revisions

Revision 5dd56645 - 2018-11-04 09:54 AM - Martin Dobias

[vertex tool] Respect topo editing when adding a vertex (fixes #18046)

When adding a vertex to a segment that is coincident with some other

segments and topological editing is enabled, vertex tool will now correctly

add new vertex also the coincident segments to preserve shared borders.

Revision 9f5664a5 - 2018-11-06 01:49 AM - Martin Dobias

[vertex tool] Respect topo editing when adding a vertex (fixes #18046)

When adding a vertex to a segment that is coincident with some other

segments and topological editing is enabled, vertex tool will now correctly

add new vertex also the coincident segments to preserve shared borders.

(cherry picked from commit 5dd566455fa414ed93779564a3b272334bf42bd0)

History
#1 - 2018-09-01 04:54 PM - Harrissou Santanna

Still the case in master (3.3)

Does it work in 2.18?

#2 - 2018-09-01 04:56 PM - Harrissou Santanna

- Related to Bug report #18192: vertex editor doesn't honour topological editing when moving a segment added

#3 - 2018-09-01 04:57 PM - Harrissou Santanna

- Related to Bug report #17331: new node tool topological editing added

#4 - 2018-09-02 09:18 PM - Giovanni Manghi

- Priority changed from Normal to High

- Affected QGIS version changed from master to 3.3(master)

- Regression? changed from No to Yes

Harrissou Santanna wrote:

Still the case in master (3.3)

Does it work in 2.18?

it did indeed. Moreover in 2.* it was possible to double click on segment to add a node in a whatever position (not only in the middle of a segment). Also now

when adding a node this is immediately selected and so moving the mouse moves the new node. I find the latter a usability regression, in 2.* adding nodes

(wherever) with double clicks without need to reposition them immediately was a functionality that final users liked a lot.

#5 - 2018-09-02 09:18 PM - Giovanni Manghi

- Operating System deleted (Windows 7)

#6 - 2018-09-02 09:52 PM - Harrissou Santanna

adding nodes (wherever) with double clicks without need to reposition them immediately was a functionality that final users liked a lot.

I can't agree more. I miss it too. If I recall correctly, this was one of the missing features pointed either in the QEP or its first implementations. And I thought

it'd be fixed in later commits but... Maybe the use case was not clear/convincing enough...

#7 - 2018-09-03 10:40 AM - Giovanni Manghi

I can't agree more. I miss it too. If I recall correctly, this was one of the missing features pointed either in the QEP or its first implementations. And I

thought it'd be fixed in later commits but... Maybe the use case was not clear/convincing enough...

I think we should raise this in the dev mailing list. I can write there, agree?

#8 - 2018-09-03 11:48 AM - Andreas Wicht

+1 from me
#9 - 2018-09-03 01:21 PM - Giovanni Manghi

Andreas Wicht wrote:

+1 from me

https://github.com/qgis/QGIS-Enhancement-Proposals/issues/69#issuecomment-418085628

feel free to add more comments.

#10 - 2018-10-22 10:16 AM - Jürgen Fischer

- Duplicated by Bug report #20137: Topological editing don't works as expected in QGIS Master added

#11 - 2018-11-04 01:54 AM - Martin Dobias

https://github.com/qgis/QGIS/pull/8408

#12 - 2018-11-04 09:53 AM - Martin Dobias

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|5dd566455fa414ed93779564a3b272334bf42bd0.
